@import url ('https://fonts.googleapis.com/css2? family = Roboto: wght @ 300; 400; 700 & display = swap');


{
  margin: 0;
  padding: 0;
  box-sizing:border-box;
}

body{
    font-family: 'Roboto', sans-serif;
    background-color: #f1beb5;
    background: linear-gradient(135deg, #ac4e3055 25%, transparent 25%) -17px 0/ 34px 34px, linear-gradient(225deg, #ac4e30 25%, transparent 25%) -17px 0/ 34px 34px, linear-gradient(315deg, #ac4e3055 25%, transparent 25%) 0px 0/ 34px 34px, linear-gradient(45deg, #ac4e30 25%, #f1beb5 25%) 0px 0/ 34px 34px;
    background-size: 34px 34px;
    background-position: 0 0,17px 17px;
    display: flex;
    min-height: 100vh;
}

.form{
    background-color: #fff;
    margin: auto;
    width: 90%;
    max-width: 400px;
    padding: 4.5em 3em;
    border-radius: 10px;
    box-shadow: 0 5px 10px -5px rgb(0, 0, 0 / 30%);
    text-align: center;
}
.form_title{
    font-size: 2rem;
    margin-bottom: .5em;
}

.form_paragraph{
    font-weight: 300;
}

.form_link{
    font-weight: 400;
    color: black;
}

.form_container{
    margin-top: 3em;
    display: grid;
    gap: 2.5em;
}

.form_group{
position: relative;
--color: #5757577e;
}

.form_input{
    width: 100%;
    background: none;
    color: #706c6c;
    font-size: 1rem;
    padding: .6em .3em;
    border: none;
    outline: none;
    border-bottom: 1px solid var(--color);
    font-family: 'Roboto', sans-serif;
}


.form_input:focus + .form_label,
.form_input:not(:placeholder-shown) + .form_label{
    transform: translateY(-12px) scale(.7);
    transform-origin: left top;
    color: #ff967e;
}

.form_label{
    color: var(--color);
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 5px;
    transform: translateY(10px);
    transition: transform .5s color .3s;
}

.form_submit{
    background-color:#ff967e;
    color: white;
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    font-size: 1rem;
    padding: .8em 0;
    border: none;
    border-radius: .5em;
}


.form_line{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #ff967e;
    transform: scale(0);
    transform: left bottom;
    transition: transform .4s;

}


.form_input:focus ~.form_line,
.form_input:not(:placeholder-shown) ~.form_label{
    transform: scale(1);
}


@media (max-width:425px) {
    .form_title{
        font-size: 1.8rem;
    }
}
